This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 851741 - telinit u: "Failed to issue method call: Did not receive a reply."
telinit u: "Failed to issue method call: Did not receive a reply."
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F18systemd
  Show dependency treegraph
 
Reported: 2012-08-24 22:34 EDT by John Ellson
Modified: 2013-01-14 15:21 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-14 15:21:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2012-08-24 22:34:36 EDT
Description of problem:
What is this ???

  Updating   : glibc-2.16.90-6.fc19.i686                                  7/144 
Failed to issue method call: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.


Version-Release number of selected component (if applicable):
glibc-2.16.90-6.fc19.i686  

How reproducible:


Steps to Reproduce:
1. yum update glibc
2.
3.
  
Actual results:
Failed to issue method call: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Expected results:
no failures during updates

Additional info:
Comment 1 Jeff Law 2012-08-27 11:47:26 EDT
It's certainly not "calling home"; the last thing a glibc update does is restart sshd via systemd.  The message you're receiving is from systemd.

What is the output of the following command:

/usr/sbin/sshd -f /etc/ssh/sshd_config 

And what are the contents of /lib/systemd/system/*ssh*?
Comment 2 John Ellson 2012-08-27 14:30:32 EDT
No output from that command when run as root:

[root@rawhide ~]#  /usr/sbin/sshd -f /etc/ssh/sshd_config
[root@rawhide ~]# 

The sshd daemon is running because thats how I'm accessing this virtual host.


[root@rawhide ~]# ls /lib/systemd/system/*ssh*
/lib/systemd/system/anaconda-sshd.service  /lib/systemd/system/sshd.service
[root@rawhide ~]# cat /lib/systemd/system/*ssh*
[Unit]
Description=OpenSSH server daemon
Before=anaconda.target
After=syslog.target network.target

[Service]
EnvironmentFile=/etc/sysconfig/sshd
ExecStartPre=/usr/sbin/sshd-keygen
ExecStartPre=/usr/sbin/handle-sshpw
ExecStart=/usr/sbin/sshd -D $OPTIONS -f /etc/ssh/sshd_config.anaconda
ExecReload=/bin/kill -HUP $MAINPID
[Unit]
Description=OpenSSH server daemon
After=syslog.target network.target auditd.service

[Service]
EnvironmentFile=/etc/sysconfig/sshd
ExecStartPre=/usr/sbin/sshd-keygen
ExecStart=/usr/sbin/sshd -D $OPTIONS
ExecReload=/bin/kill -HUP $MAINPID

[Install]
WantedBy=multi-user.target
[root@rawhide ~]# 



BTW.  Selinux is in permissive mode.
Comment 3 John Ellson 2012-08-27 14:37:52 EDT
BTW I was teasing, just a little about calling home.  But you have to admit that the error message could leave that impression.   

As a general issue,  I would really like to see better error messages in our modern Linux systems.

And as for Gnome's "Oh, no! Something has gone wrong."  - well that just makes me mad!
Comment 4 Jeff Law 2012-08-27 15:24:37 EDT
Does /etc/ssh/sshd_config.anaconda exist?
Comment 5 John Ellson 2012-08-27 15:41:49 EDT
No.

This system was yum updated from an fc17 base originally.
Comment 6 Jeff Law 2012-08-27 15:57:05 EDT
That's probably related to the problem.  This almost certainly isn't a glibc issue, but I'm not sure who to assign it to yet :-)


What does the following report
rpm -q --whatprovides /lib/systemd/system/anaconda-sshd.service

Also is there a file /etc/rc.d/init.d/sshd and if so, what are its contents?
Comment 7 John Ellson 2012-08-27 16:33:19 EDT
[root@rawhide ~]# rpm -q --whatprovides /lib/systemd/system/anaconda-sshd.service
anaconda-18.6-1.fc19.i686



[root@rawhide ~]# cat /etc/rc.d/init.d/sshd
cat: /etc/rc.d/init.d/sshd: No such file or directory
Comment 8 Jeff Law 2012-08-28 00:35:17 EDT
Thanks.  Looking at this a bit more, it can't be the restarting of sshd as that's guarded on the existence of /etc/rc.d/init.d/sshd (arguably that's a bug and the code needs to be updated to handle systemd).

This might be the %post script which mucks around with the nscd service.  Does
"/sbin/systemctl daemon-reload" report any errors?
Comment 9 John Ellson 2012-08-28 07:33:33 EDT
Yes.   The PATH is wrong.

[root@rawhide ~]# /sbin/systemctl daemon-reload
-bash: /sbin/systemctl: No such file or directory

This PATH is quieter.

[root@rawhide ~]# /usr/bin/systemctl daemon-reload
[root@rawhide ~]#
Comment 10 Jeff Law 2012-08-28 15:29:59 EDT
OK.  I finally managed to reproduce this.  Can you confirm that:

/sbin/telinit u

Will trigger the same error message you saw when upgrading glibc?

Assuming yes, can you also confirm by running:

/usr/sbin/glibc_post_upgrade.i686
Comment 11 John Ellson 2012-08-28 22:05:13 EDT
Both confirmed.
Comment 12 Lukáš Nykrýn 2012-08-29 09:09:39 EDT
This seems to be related with 841451. Please try to reinstall polkit with 'yum reinstall polkit'
Comment 13 John Ellson 2012-08-29 14:00:48 EDT
Re Comment #12.   I don't think so, or at least, not confirmed.

I did a 'yum reinstall polkit'

then,  '/sbin/telinit u' and '/usr/sbin/glibc_post_upgrade.i686'   still return the same error message.  Downgrading and re-upgrading glibc also still returns the same error message.
Comment 14 Lennart Poettering 2012-09-14 09:30:48 EDT
which version of systemd is this? Can you reproduce this on the newest version from F18?
Comment 15 John Ellson 2012-09-14 09:59:29 EDT
systemd-188-3.fc18  (and systemd-188-3.fc19)

I still get the error message from the two test commands:
    /sbin/telinit u
    /usr/sbin/glibc_post_upgrade.i686
on both fc18 and fc19.

Both systems fully updated in the last 15min.
Comment 16 Lennart Poettering 2013-01-14 15:21:46 EST
Hmm, this shoudl really work correctly now on more recent F18. Please reopen if problem continues to exist!

Note You need to log in before you can comment on or make changes to this bug.